ControlP5Legacy (Javadocs: controlP5)

controlP5

## Class ControlP5Legacy

- java.lang.Object
- - controlP5.ControlP5Legacy

- Direct Known Subclasses:
    ControlP5Base

      public class ControlP5Legacy
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `DEBUG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ControlP5Legacy()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Accordion` | `addAccordion(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName)`
    `Accordion` | `addAccordion(java.lang.String theName, int theX, int theY, int theWidth)`
    `Background` | `addBackground(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, int theX, int theY, int theW, int theHeight)`
    `Background` | `addBackground(java.lang.String theName)`
    `Bang` | `addBang(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName)`
    `Bang` | `addBang(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, int theX, int theY, int theWidth, int theHeight)`
    `Bang` | `addBang(java.lang.String theName, int theX, int theY)` Deprecated.
    `Bang` | `addBang(java.lang.String theName, int theX, int theY, int theWidth, int theHeight)` Deprecated.
    `Button` | `addButton(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName)`
    `Button` | `addButton(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, float theValue)`
    `Button` | `addButton(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, float theValue, int theX, int theY, int theW, int theH)`
    `Button` | `addButton(java.lang.String theName, float theValue)`
    `Button` | `addButton(java.lang.String theName, float theValue, int theX, int theY, int theW, int theH)` Deprecated.
    `ButtonBar` | `addButtonBar(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, float theValue)`
    `ButtonBar` | `addButtonBar(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, float theValue, int theX, int theY, int theW, int theH)`
    `Chart` | `addChart(java.lang.String theName, int theX, int theY, int theW, int theH)`
    `CheckBox` | `addCheckBox(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, int theX, int theY)`
    `CheckBox` | `addCheckBox(java.lang.String theName, int theX, int theY)`
    `ColorPicker` | `addColorPicker(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, int theX, int theY, int theW, int theH)`
    `ColorPicker` | `addColorPicker(java.lang.String theName, int theX, int theY, int theW, int theH)`
    `ColorWheel` | `addColorWheel(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, int theX, int theY, int theW)`
    `ColorWheel` | `addColorWheel(java.lang.String theName, int theX, int theY, int theW)`
    `<C> C` | `addController(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, java.lang.Class<C> theClass, int theX, int theY)` Adds Controllers by Object reference, currently supports Slider, Bang, Button, Knob, Numberbox, Toggle, Textlabel, Textfield, Range, Slider2D.
    `<C> C` | `addController(java.lang.String theName, java.lang.Class<C> theClass, int theX, int theY)`
    `ControlWindow` | `addControlWindow(java.lang.String theName)`
    `ControlWindow` | `addControlWindow(java.lang.String theWindowName, int theWidth, int theHeight)` Deprecated.
    `ControlWindow` | `addControlWindow(java.lang.String theWindowName, int theX, int theY, int theWidth, int theHeight)` Deprecated.
    `ControlWindow` | `addControlWindow(java.lang.String theWindowName, int theX, int theY, int theWidth, int theHeight, int theFrameRate)` Deprecated.
    `ControlWindow` | `addControlWindow(java.lang.String theName, int theX, int theY, int theWidth, int theHeight, java.lang.String theRenderer, int theFrameRate)` Deprecated.
    `DropdownList` | `addDropdownList(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, int theX, int theY, int theW, int theH)`
    `DropdownList` | `addDropdownList(java.lang.String theName)`
    `DropdownList` | `addDropdownList(java.lang.String theName, int theX, int theY, int theW, int theH)`
    `Group` | `addGroup(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName)`
    `<C> C` | `addGroup(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, java.lang.Class<C> theClass, int theX, int theY, int theW, int theH)` Use with caution, only for internal use.
    `Group` | `addGroup(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, int theX, int theY)`
    `Group` | `addGroup(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, int theX, int theY, int theW)`
    `Group` | `addGroup(java.lang.String theName, int theX, int theY)`
    `Group` | `addGroup(java.lang.String theName, int theX, int theY, int theW)`
    `Icon` | `addIcon(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName)`
    `Icon` | `addIcon(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, float theValue)`
    `Icon` | `addIcon(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, float theValue, int theX, int theY, int theW, int theH)`
    `Icon` | `addIcon(java.lang.String theName, float theValue)`
    `Knob` | `addKnob(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName)`
    `Knob` | `addKnob(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, float theMin, float theMax, float theDefaultValue, int theX, int theY, int theDiameter)`
    `Knob` | `addKnob(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, float theMin, float theMax, int theX, int theY, int theDiameter)`
    `Knob` | `addKnob(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, int theMin, int theMax)`
    `Knob` | `addKnob(java.lang.String theName, float theMin, float theMax, float theDefaultValue, int theX, int theY, int theDiameter)`
    `Knob` | `addKnob(java.lang.String theName, float theMin, float theMax, int theX, int theY, int theDiameter)`
    `Knob` | `addKnob(java.lang.String theName, int theMin, int theMax)`
    `Textlabel` | `addLabel(java.lang.String theIndex)`
    `Textlabel` | `addLabel(java.lang.String theIndex, int theX, int theY)`
    `ListBox` | `addListBox(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, int theX, int theY, int theW, int theH)`
    `ListBox` | `addListBox(java.lang.String theName)` A list box is a list of items a user can choose from.
    `ListBox` | `addListBox(java.lang.String theName, int theX, int theY, int theW, int theH)`
    `Matrix` | `addMatrix(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, int theCellX, int theCellY, int theX, int theY, int theWidth, int theHeight)`
    `Matrix` | `addMatrix(java.lang.String theName, int theCellX, int theCellY, int theX, int theY, int theWidth, int theHeight)`
    `MultiList` | `addMultiList(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, int theX, int theY, int theWidth, int theHeight)`
    `MultiList` | `addMultiList(java.lang.String theName, int theX, int theY, int theWidth, int theHeight)`
    `Numberbox` | `addNumberbox(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName)`
    `Numberbox` | `addNumberbox(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, float theDefaultValue, int theX, int theY, int theWidth, int theHeight)`
    `Numberbox` | `addNumberbox(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, int theX, int theY, int theWidth, int theHeight)`
    `Numberbox` | `addNumberbox(java.lang.String theName, float theDefaultValue, int theX, int theY, int theWidth, int theHeight)`
    `Numberbox` | `addNumberbox(java.lang.String theName, int theX, int theY, int theWidth, int theHeight)`
    `RadioButton` | `addRadio(java.lang.String theName)` Use radio buttons for multiple choice options.
    `RadioButton` | `addRadio(java.lang.String theName, int theX, int theY)`
    `RadioButton` | `addRadioButton(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, int theX, int theY)`
    `RadioButton` | `addRadioButton(java.lang.String theName, int theX, int theY)`
    `Range` | `addRange(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, float theMin, float theMax, float theDefaultMinValue, float theDefaultMaxValue, int theX, int theY, int theW, int theH)`
    `Range` | `addRange(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, float theMin, float theMax, int theX, int theY, int theWidth, int theHeight)`
    `Range` | `addRange(java.lang.String theName, float theMin, float theMax, float theDefaultMinValue, float theDefaultMaxValue, int theX, int theY, int theW, int theH)`
    `Range` | `addRange(java.lang.String theName, float theMin, float theMax, int theX, int theY, int theWidth, int theHeight)`
    `ScrollableList` | `addScrollableList(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName)`
    `ScrollableList` | `addScrollableList(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, int theX, int theY, int theW, int theH)`
    `ScrollableList` | `addScrollableList(java.lang.String theName, int theX, int theY, int theW, int theH)`
    `Slider` | `addSlider(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName)`
    `Slider` | `addSlider(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, float theMin, float theMax)`
    `Slider` | `addSlider(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, float theMin, float theMax, float theDefaultValue, int theX, int theY, int theW, int theH)`
    `Slider` | `addSlider(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, float theMin, float theMax, int theX, int theY, int theW, int theH)`
    `Slider` | `addSlider(java.lang.String theName, float theMin, float theMax)`
    `Slider` | `addSlider(java.lang.String theName, float theMin, float theMax, float theDefaultValue, int theX, int theY, int theW, int theH)`
    `Slider` | `addSlider(java.lang.String theName, float theMin, float theMax, int theX, int theY, int theWidth, int theHeight)`
    `Slider2D` | `addSlider2D(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, float theMinX, float theMaxX, float theMinY, float theMaxY, float theDefaultValueX, float theDefaultValueY, int theX, int theY, int theW, int theH)`
    `Slider2D` | `addSlider2D(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, int theX, int theY, int theW, int theH)` Deprecated.
    `Slider2D` | `addSlider2D(java.lang.String theName, float theMinX, float theMaxX, float theMinY, float theMaxY, float theDefaultValueX, float theDefaultValueY, int theX, int theY, int theW, int theH)` Deprecated.
    `Slider2D` | `addSlider2D(java.lang.String theName, int theX, int theY, int theW, int theH)` Deprecated.
    `Spacer` | `addSpacer(java.lang.String theName)`
    `Spacer` | `addSpacer(java.lang.String theName, int theX, int theY, int theW, int theH)`
    `Tab` | `addTab(ControlWindow theWindow, java.lang.String theName)` Deprecated.
    `Tab` | `addTab(processing.core.PApplet theWindow, java.lang.String theName)` Deprecated.
    `Textarea` | `addTextarea(java.lang.String theName, java.lang.String theText, int theX, int theY, int theW, int theH)`
    `Textfield` | `addTextfield(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName)`
    `Textfield` | `addTextfield(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, int theX, int theY, int theW, int theH)`
    `Textfield` | `addTextfield(java.lang.String theName, int theX, int theY, int theW, int theH)`
    `Textlabel` | `addTextlabel(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, java.lang.String theText)`
    `Textlabel` | `addTextlabel(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, java.lang.String theText, int theX, int theY)`
    `Textlabel` | `addTextlabel(java.lang.String theName, java.lang.String theText)`
    `Textlabel` | `addTextlabel(java.lang.String theName, java.lang.String theText, int theX, int theY)`
    `Toggle` | `addToggle(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName)`
    `Toggle` | `addToggle(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, boolean theValue)`
    `Toggle` | `addToggle(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, boolean theDefaultValue, float theX, float theY, int theWidth, int theHeight)`
    `Toggle` | `addToggle(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, float theX, float theY, int theWidth, int theHeight)` Deprecated.
    `Toggle` | `addToggle(java.lang.String theName, boolean theValue)`
    `Toggle` | `addToggle(java.lang.String theName, boolean theDefaultValue, float theX, float theY, int theWidth, int theHeight)` Deprecated.
    `Toggle` | `addToggle(java.lang.String theName, float theX, float theY, int theWidth, int theHeight)` Deprecated.
    `Tooltip` | `addTooltip()`
    `static void` | `debug(java.lang.Object... strs)`
    `Controller<?>` | `getController(java.lang.String theName, java.lang.Object theObject)` Deprecated.
    `Textlabel` | `getTextlabel()`
    `Textlabel` | `getTextlabel(java.lang.String theText, int theX, int theY)`
    `static void` | `printerr(java.lang.Object... strs)`
    `static void` | `println(java.lang.Object... strs)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEBUG

          public static boolean DEBUG

  - ### Constructor Detail

    - #### ControlP5Legacy

          public ControlP5Legacy()

  - ### Method Detail

    - #### addAccordion

          public Accordion addAccordion(java.lang.Object theObject,
                                        java.lang.String theIndex,
                                        java.lang.String theName)

    - #### addAccordion

          public Accordion addAccordion(java.lang.String theName,
                                        int theX,
                                        int theY,
                                        int theWidth)

    - #### addBackground

          public Background addBackground(java.lang.Object theObject,
                                          java.lang.String theIndex,
                                          java.lang.String theName,
                                          int theX,
                                          int theY,
                                          int theW,
                                          int theHeight)

    - #### addBackground

          public Background addBackground(java.lang.String theName)

    - #### addBang

          public Bang addBang(java.lang.Object theObject,
                              java.lang.String theIndex,
                              java.lang.String theName)

    - #### addBang

          public Bang addBang(java.lang.Object theObject,
                              java.lang.String theIndex,
                              java.lang.String theName,
                              int theX,
                              int theY,
                              int theWidth,
                              int theHeight)

    - #### addBang

          @Deprecated
          public Bang addBang(java.lang.String theName,
                                          int theX,
                                          int theY)

      Deprecated.

    - #### addBang

          @Deprecated
          public Bang addBang(java.lang.String theName,
                                          int theX,
                                          int theY,
                                          int theWidth,
                                          int theHeight)

      Deprecated.

    - #### addButton

          public Button addButton(java.lang.Object theObject,
                                  java.lang.String theIndex,
                                  java.lang.String theName)

    - #### addButton

          public Button addButton(java.lang.Object theObject,
                                  java.lang.String theIndex,
                                  java.lang.String theName,
                                  float theValue)

    - #### addButton

          public Button addButton(java.lang.Object theObject,
                                  java.lang.String theIndex,
                                  java.lang.String theName,
                                  float theValue,
                                  int theX,
                                  int theY,
                                  int theW,
                                  int theH)

    - #### addButton

          public Button addButton(java.lang.String theName,
                                  float theValue)

    - #### addButton

          @Deprecated
          public Button addButton(java.lang.String theName,
                                              float theValue,
                                              int theX,
                                              int theY,
                                              int theW,
                                              int theH)

      Deprecated.

    - #### addButtonBar

          public ButtonBar addButtonBar(java.lang.Object theObject,
                                        java.lang.String theIndex,
                                        java.lang.String theName,
                                        float theValue)

    - #### addButtonBar

          public ButtonBar addButtonBar(java.lang.Object theObject,
                                        java.lang.String theIndex,
                                        java.lang.String theName,
                                        float theValue,
                                        int theX,
                                        int theY,
                                        int theW,
                                        int theH)

    - #### addChart

          public Chart addChart(java.lang.String theName,
                                int theX,
                                int theY,
                                int theW,
                                int theH)

    - #### addCheckBox

          public CheckBox addCheckBox(java.lang.Object theObject,
                                      java.lang.String theIndex,
                                      java.lang.String theName,
                                      int theX,
                                      int theY)

    - #### addCheckBox

          public CheckBox addCheckBox(java.lang.String theName,
                                      int theX,
                                      int theY)

    - #### addColorPicker

          public ColorPicker addColorPicker(java.lang.Object theObject,
                                            java.lang.String theIndex,
                                            java.lang.String theName,
                                            int theX,
                                            int theY,
                                            int theW,
                                            int theH)

    - #### addColorPicker

          public ColorPicker addColorPicker(java.lang.String theName,
                                            int theX,
                                            int theY,
                                            int theW,
                                            int theH)

    - #### addColorWheel

          public ColorWheel addColorWheel(java.lang.Object theObject,
                                          java.lang.String theIndex,
                                          java.lang.String theName,
                                          int theX,
                                          int theY,
                                          int theW)

    - #### addColorWheel

          public ColorWheel addColorWheel(java.lang.String theName,
                                          int theX,
                                          int theY,
                                          int theW)

    - #### addController

          public <C> C addController(java.lang.Object theObject,
                                     java.lang.String theIndex,
                                     java.lang.String theName,
                                     java.lang.Class<C> theClass,
                                     int theX,
                                     int theY)

      Adds Controllers by Object reference, currently supports Slider, Bang, Button, Knob, Numberbox, Toggle, Textlabel, Textfield, Range, Slider2D. For internal use rather than on application level.

    - #### addController

          public <C> C addController(java.lang.String theName,
                                     java.lang.Class<C> theClass,
                                     int theX,
                                     int theY)

    - #### addControlWindow

          public ControlWindow addControlWindow(java.lang.String theName)

    - #### addControlWindow

          @Deprecated
          public ControlWindow addControlWindow(java.lang.String theWindowName,
                                                            int theWidth,
                                                            int theHeight)

      Deprecated.

    - #### addControlWindow

          @Deprecated
          public ControlWindow addControlWindow(java.lang.String theWindowName,
                                                            int theX,
                                                            int theY,
                                                            int theWidth,
                                                            int theHeight)

      Deprecated.

    - #### addControlWindow

          @Deprecated
          public ControlWindow addControlWindow(java.lang.String theWindowName,
                                                            int theX,
                                                            int theY,
                                                            int theWidth,
                                                            int theHeight,
                                                            int theFrameRate)

      Deprecated.

    - #### addControlWindow

          @Deprecated
          public ControlWindow addControlWindow(java.lang.String theName,
                                                            int theX,
                                                            int theY,
                                                            int theWidth,
                                                            int theHeight,
                                                            java.lang.String theRenderer,
                                                            int theFrameRate)

      Deprecated.

    - #### addDropdownList

          public DropdownList addDropdownList(java.lang.Object theObject,
                                              java.lang.String theIndex,
                                              java.lang.String theName,
                                              int theX,
                                              int theY,
                                              int theW,
                                              int theH)

    - #### addDropdownList

          public DropdownList addDropdownList(java.lang.String theName)

    - #### addDropdownList

          public DropdownList addDropdownList(java.lang.String theName,
                                              int theX,
                                              int theY,
                                              int theW,
                                              int theH)

    - #### addGroup

          public Group addGroup(java.lang.Object theObject,
                                java.lang.String theIndex,
                                java.lang.String theName)

    - #### addGroup

          public <C> C addGroup(java.lang.Object theObject,
                                java.lang.String theIndex,
                                java.lang.String theName,
                                java.lang.Class<C> theClass,
                                int theX,
                                int theY,
                                int theW,
                                int theH)

      Use with caution, only for internal use.

    - #### addGroup

          public Group addGroup(java.lang.Object theObject,
                                java.lang.String theIndex,
                                java.lang.String theName,
                                int theX,
                                int theY)

    - #### addGroup

          public Group addGroup(java.lang.Object theObject,
                                java.lang.String theIndex,
                                java.lang.String theName,
                                int theX,
                                int theY,
                                int theW)

    - #### addGroup

          public Group addGroup(java.lang.String theName,
                                int theX,
                                int theY)

    - #### addGroup

          public Group addGroup(java.lang.String theName,
                                int theX,
                                int theY,
                                int theW)

    - #### addIcon

          public Icon addIcon(java.lang.Object theObject,
                              java.lang.String theIndex,
                              java.lang.String theName)

    - #### addIcon

          public Icon addIcon(java.lang.Object theObject,
                              java.lang.String theIndex,
                              java.lang.String theName,
                              float theValue)

    - #### addIcon

          public Icon addIcon(java.lang.Object theObject,
                              java.lang.String theIndex,
                              java.lang.String theName,
                              float theValue,
                              int theX,
                              int theY,
                              int theW,
                              int theH)

    - #### addIcon

          public Icon addIcon(java.lang.String theName,
                              float theValue)

    - #### addKnob

          public Knob addKnob(java.lang.Object theObject,
                              java.lang.String theIndex,
                              java.lang.String theName)

    - #### addKnob

          public Knob addKnob(java.lang.Object theObject,
                              java.lang.String theIndex,
                              java.lang.String theName,
                              float theMin,
                              float theMax,
                              float theDefaultValue,
                              int theX,
                              int theY,
                              int theDiameter)

    - #### addKnob

          public Knob addKnob(java.lang.Object theObject,
                              java.lang.String theIndex,
                              java.lang.String theName,
                              float theMin,
                              float theMax,
                              int theX,
                              int theY,
                              int theDiameter)

    - #### addKnob

          public Knob addKnob(java.lang.Object theObject,
                              java.lang.String theIndex,
                              java.lang.String theName,
                              int theMin,
                              int theMax)

    - #### addKnob

          public Knob addKnob(java.lang.String theName,
                              float theMin,
                              float theMax,
                              float theDefaultValue,
                              int theX,
                              int theY,
                              int theDiameter)

    - #### addKnob

          public Knob addKnob(java.lang.String theName,
                              float theMin,
                              float theMax,
                              int theX,
                              int theY,
                              int theDiameter)

    - #### addKnob

          public Knob addKnob(java.lang.String theName,
                              int theMin,
                              int theMax)

    - #### addLabel

          public Textlabel addLabel(java.lang.String theIndex)

    - #### addLabel

          public Textlabel addLabel(java.lang.String theIndex,
                                    int theX,
                                    int theY)

    - #### addListBox

          public ListBox addListBox(java.lang.Object theObject,
                                    java.lang.String theIndex,
                                    java.lang.String theName,
                                    int theX,
                                    int theY,
                                    int theW,
                                    int theH)

    - #### addListBox

          public ListBox addListBox(java.lang.String theName)

      A list box is a list of items a user can choose from. When items exceed the dedicated area of a list box, a scrollbar is added to the right of the box. the Box can be navigated using mouse click, drag and the mouse-wheel.

    - #### addListBox

          public ListBox addListBox(java.lang.String theName,
                                    int theX,
                                    int theY,
                                    int theW,
                                    int theH)

    - #### addMatrix

          public Matrix addMatrix(java.lang.Object theObject,
                                  java.lang.String theIndex,
                                  java.lang.String theName,
                                  int theCellX,
                                  int theCellY,
                                  int theX,
                                  int theY,
                                  int theWidth,
                                  int theHeight)

    - #### addMatrix

          public Matrix addMatrix(java.lang.String theName,
                                  int theCellX,
                                  int theCellY,
                                  int theX,
                                  int theY,
                                  int theWidth,
                                  int theHeight)

    - #### addMultiList

          public MultiList addMultiList(java.lang.Object theObject,
                                        java.lang.String theIndex,
                                        java.lang.String theName,
                                        int theX,
                                        int theY,
                                        int theWidth,
                                        int theHeight)

    - #### addMultiList

          public MultiList addMultiList(java.lang.String theName,
                                        int theX,
                                        int theY,
                                        int theWidth,
                                        int theHeight)

    - #### addNumberbox

          public Numberbox addNumberbox(java.lang.Object theObject,
                                        java.lang.String theIndex,
                                        java.lang.String theName)

    - #### addNumberbox

          public Numberbox addNumberbox(java.lang.Object theObject,
                                        java.lang.String theIndex,
                                        java.lang.String theName,
                                        float theDefaultValue,
                                        int theX,
                                        int theY,
                                        int theWidth,
                                        int theHeight)

    - #### addNumberbox

          public Numberbox addNumberbox(java.lang.Object theObject,
                                        java.lang.String theIndex,
                                        java.lang.String theName,
                                        int theX,
                                        int theY,
                                        int theWidth,
                                        int theHeight)

    - #### addNumberbox

          public Numberbox addNumberbox(java.lang.String theName,
                                        float theDefaultValue,
                                        int theX,
                                        int theY,
                                        int theWidth,
                                        int theHeight)

    - #### addNumberbox

          public Numberbox addNumberbox(java.lang.String theName,
                                        int theX,
                                        int theY,
                                        int theWidth,
                                        int theHeight)

    - #### addRadio

          public RadioButton addRadio(java.lang.String theName)

      Use radio buttons for multiple choice options.

    - #### addRadio

          public RadioButton addRadio(java.lang.String theName,
                                      int theX,
                                      int theY)

    - #### addRadioButton

          public RadioButton addRadioButton(java.lang.Object theObject,
                                            java.lang.String theIndex,
                                            java.lang.String theName,
                                            int theX,
                                            int theY)

    - #### addRadioButton

          public RadioButton addRadioButton(java.lang.String theName,
                                            int theX,
                                            int theY)

    - #### addRange

          public Range addRange(java.lang.Object theObject,
                                java.lang.String theIndex,
                                java.lang.String theName,
                                float theMin,
                                float theMax,
                                float theDefaultMinValue,
                                float theDefaultMaxValue,
                                int theX,
                                int theY,
                                int theW,
                                int theH)

    - #### addRange

          public Range addRange(java.lang.Object theObject,
                                java.lang.String theIndex,
                                java.lang.String theName,
                                float theMin,
                                float theMax,
                                int theX,
                                int theY,
                                int theWidth,
                                int theHeight)

    - #### addRange

          public Range addRange(java.lang.String theName,
                                float theMin,
                                float theMax,
                                float theDefaultMinValue,
                                float theDefaultMaxValue,
                                int theX,
                                int theY,
                                int theW,
                                int theH)

    - #### addRange

          public Range addRange(java.lang.String theName,
                                float theMin,
                                float theMax,
                                int theX,
                                int theY,
                                int theWidth,
                                int theHeight)

    - #### addScrollableList

          public ScrollableList addScrollableList(java.lang.Object theObject,
                                                  java.lang.String theIndex,
                                                  java.lang.String theName)

    - #### addScrollableList

          public ScrollableList addScrollableList(java.lang.Object theObject,
                                                  java.lang.String theIndex,
                                                  java.lang.String theName,
                                                  int theX,
                                                  int theY,
                                                  int theW,
                                                  int theH)

    - #### addScrollableList

          public ScrollableList addScrollableList(java.lang.String theName,
                                                  int theX,
                                                  int theY,
                                                  int theW,
                                                  int theH)

    - #### addSlider

          public Slider addSlider(java.lang.Object theObject,
                                  java.lang.String theIndex,
                                  java.lang.String theName)

    - #### addSlider

          public Slider addSlider(java.lang.Object theObject,
                                  java.lang.String theIndex,
                                  java.lang.String theName,
                                  float theMin,
                                  float theMax)

    - #### addSlider

          public Slider addSlider(java.lang.Object theObject,
                                  java.lang.String theIndex,
                                  java.lang.String theName,
                                  float theMin,
                                  float theMax,
                                  float theDefaultValue,
                                  int theX,
                                  int theY,
                                  int theW,
                                  int theH)

    - #### addSlider

          public Slider addSlider(java.lang.Object theObject,
                                  java.lang.String theIndex,
                                  java.lang.String theName,
                                  float theMin,
                                  float theMax,
                                  int theX,
                                  int theY,
                                  int theW,
                                  int theH)

    - #### addSlider

          public Slider addSlider(java.lang.String theName,
                                  float theMin,
                                  float theMax)

    - #### addSlider

          public Slider addSlider(java.lang.String theName,
                                  float theMin,
                                  float theMax,
                                  float theDefaultValue,
                                  int theX,
                                  int theY,
                                  int theW,
                                  int theH)

    - #### addSlider

          public Slider addSlider(java.lang.String theName,
                                  float theMin,
                                  float theMax,
                                  int theX,
                                  int theY,
                                  int theWidth,
                                  int theHeight)

    - #### addSlider2D

          public Slider2D addSlider2D(java.lang.Object theObject,
                                      java.lang.String theIndex,
                                      java.lang.String theName,
                                      float theMinX,
                                      float theMaxX,
                                      float theMinY,
                                      float theMaxY,
                                      float theDefaultValueX,
                                      float theDefaultValueY,
                                      int theX,
                                      int theY,
                                      int theW,
                                      int theH)

    - #### addSlider2D

          @Deprecated
          public Slider2D addSlider2D(java.lang.Object theObject,
                                                  java.lang.String theIndex,
                                                  java.lang.String theName,
                                                  int theX,
                                                  int theY,
                                                  int theW,
                                                  int theH)

      Deprecated.

    - #### addSlider2D

          @Deprecated
          public Slider2D addSlider2D(java.lang.String theName,
                                                  float theMinX,
                                                  float theMaxX,
                                                  float theMinY,
                                                  float theMaxY,
                                                  float theDefaultValueX,
                                                  float theDefaultValueY,
                                                  int theX,
                                                  int theY,
                                                  int theW,
                                                  int theH)

      Deprecated.

    - #### addSlider2D

          @Deprecated
          public Slider2D addSlider2D(java.lang.String theName,
                                                  int theX,
                                                  int theY,
                                                  int theW,
                                                  int theH)

      Deprecated.

    - #### addSpacer

          public Spacer addSpacer(java.lang.String theName)

    - #### addSpacer

          public Spacer addSpacer(java.lang.String theName,
                                  int theX,
                                  int theY,
                                  int theW,
                                  int theH)

    - #### addTab

          @Deprecated
          public Tab addTab(ControlWindow theWindow,
                                        java.lang.String theName)

      Deprecated.

    - #### addTab

          @Deprecated
          public Tab addTab(processing.core.PApplet theWindow,
                                        java.lang.String theName)

      Deprecated.

    - #### addTextarea

          public Textarea addTextarea(java.lang.String theName,
                                      java.lang.String theText,
                                      int theX,
                                      int theY,
                                      int theW,
                                      int theH)

    - #### addTextfield

          public Textfield addTextfield(java.lang.Object theObject,
                                        java.lang.String theIndex,
                                        java.lang.String theName)

    - #### addTextfield

          public Textfield addTextfield(java.lang.Object theObject,
                                        java.lang.String theIndex,
                                        java.lang.String theName,
                                        int theX,
                                        int theY,
                                        int theW,
                                        int theH)

    - #### addTextfield

          public Textfield addTextfield(java.lang.String theName,
                                        int theX,
                                        int theY,
                                        int theW,
                                        int theH)

    - #### addTextlabel

          public Textlabel addTextlabel(java.lang.Object theObject,
                                        java.lang.String theIndex,
                                        java.lang.String theName,
                                        java.lang.String theText)

    - #### addTextlabel

          public Textlabel addTextlabel(java.lang.Object theObject,
                                        java.lang.String theIndex,
                                        java.lang.String theName,
                                        java.lang.String theText,
                                        int theX,
                                        int theY)

    - #### addTextlabel

          public Textlabel addTextlabel(java.lang.String theName,
                                        java.lang.String theText)

    - #### addTextlabel

          public Textlabel addTextlabel(java.lang.String theName,
                                        java.lang.String theText,
                                        int theX,
                                        int theY)

    - #### addToggle

          public Toggle addToggle(java.lang.Object theObject,
                                  java.lang.String theIndex,
                                  java.lang.String theName)

    - #### addToggle

          public Toggle addToggle(java.lang.Object theObject,
                                  java.lang.String theIndex,
                                  java.lang.String theName,
                                  boolean theValue)

    - #### addToggle

          public Toggle addToggle(java.lang.Object theObject,
                                  java.lang.String theIndex,
                                  java.lang.String theName,
                                  boolean theDefaultValue,
                                  float theX,
                                  float theY,
                                  int theWidth,
                                  int theHeight)

    - #### addToggle

          @Deprecated
          public Toggle addToggle(java.lang.Object theObject,
                                              java.lang.String theIndex,
                                              java.lang.String theName,
                                              float theX,
                                              float theY,
                                              int theWidth,
                                              int theHeight)

      Deprecated.

    - #### addToggle

          public Toggle addToggle(java.lang.String theName,
                                  boolean theValue)

    - #### addToggle

          @Deprecated
          public Toggle addToggle(java.lang.String theName,
                                              boolean theDefaultValue,
                                              float theX,
                                              float theY,
                                              int theWidth,
                                              int theHeight)

      Deprecated.

    - #### addToggle

          @Deprecated
          public Toggle addToggle(java.lang.String theName,
                                              float theX,
                                              float theY,
                                              int theWidth,
                                              int theHeight)

      Deprecated.

    - #### addTooltip

          public Tooltip addTooltip()

    - #### debug

          public static void debug(java.lang.Object... strs)

    - #### getController

          @Deprecated
          public Controller<?> getController(java.lang.String theName,
                                                         java.lang.Object theObject)

      Deprecated.

    - #### getTextlabel

          public Textlabel getTextlabel()

    - #### getTextlabel

          public Textlabel getTextlabel(java.lang.String theText,
                                        int theX,
                                        int theY)

    - #### printerr

          public static void printerr(java.lang.Object... strs)

    - #### println

          public static void println(java.lang.Object... strs)

processing library controlP5 by Andreas Schlegel. (c) 2006-2015